Bug 879940 - RFE: add lsblk output to default list of log files in /tmp
RFE: add lsblk output to default list of log files in /tmp
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-meh (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-25 11:27 EST by Jes Sorensen
Modified: 2014-02-06 07:35 EST (History)
7 users (show)

See Also:
Fixed In Version: anaconda-19.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:17:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jes Sorensen 2012-11-25 11:27:07 EST
Description of problem:
When debugging installer problems related to storage, it is very useful to
have lsblk output as part of the default list of log files. As an example
BZ#876789.

Please at it to the list of automatically generated list of log files
Comment 1 Steve Tyler 2012-11-25 12:28:35 EST
+1.

Presumably the anaconda logs already have that information, but it is in a format that only anaconda developers can read ...
Comment 2 Steve Tyler 2012-11-26 08:14:13 EST
lsblk has a lot of options ...

It would be useful to have the file system types and UUIDs, but this does not give the device sizes:
$ lsblk -f

This gives both in a wide table:
$ lsblk -mf

Maybe it would be better to have the sizes in bytes:
$ lsblk -mbf

And since the installer adds and deletes devices, it would be useful to have an lsblk report before installation and after installation ...
Comment 3 Chris Lumens 2013-01-02 16:50:57 EST
python-meh would first need a way to attach program output, I believe.
Comment 4 Vratislav Podzimek 2013-01-03 05:05:53 EST
(In reply to comment #3)
> python-meh would first need a way to attach program output, I believe.
Well, I've already been thinking about some {item_name: callback, } dictionary, that would be passed to python-meh during the configuration phase and during exception+data dump these callbacks would be called and their return value (a string) would be appended to the main file (e.g. anaconda-tb-XXXXXX) and/or possibly written out to a separate file.
Comment 5 Vratislav Podzimek 2013-01-18 04:20:43 EST
Patches for python-meh and anaconda posted to anaconda-patches. I've tested those changes and the result can be seen in bug #901462 and its attachment 'lsblk_output'.
Comment 6 Fedora End Of Life 2013-12-21 10:42:35 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 18:17:52 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.